require 'responders'

module ContentManagement
  class ContentManagementController < ::ContentManagement.parent_controller.constantize

    helper ::ContentManagement::ContentManagementHelper
    helper ::ContentManagement::ViewHelper
    helper ::ContentManagement::Admin::ContentsHelper

    #before_filter :_authenticate!
    #before_filter :_authorize!

    helper_method :authorized?, :_current_user, :_attr_accessible_role, :_get_plugin_name

    def authorized?(*args)
      @authorization_adapter.nil? || @authorization_adapter.authorized?(*args)
    end

    def _authenticate!
      instance_eval &::ContentManagement::Config.authenticate_with
    end

    def _authorize!
      instance_eval &::ContentManagement::Config.authorize_with
    end

    def _current_user
      instance_eval &::ContentManagement::Config.current_user_method
    end

    def _attr_accessible_role
      instance_eval &::ContentManagement::Config.attr_accessible_role
    end

    def not_found
      render :file => Rails.root.join('public', '404.html'), :layout => false, :status => :not_found
    end

    def content_management_controller?
      true
    end
  end
end
