#require 'rdiscount'
#require 'bluecloth'
require 'maruku'
require 'redcloth'
require 'coderay'

module ContentManagement
  module Admin::ContentsHelper

    def format_content(format, content)
      case format
      when "HTML"
        coderay(content).html_safe
      when "Markdown"
        #CodeRay.scan('puts "Hello, world!"', :ruby).div(:line_numbers => :table).html_safe
        #RDiscount.new( coderay(content) ).to_html.html_safe
        #coderay( RDiscount.new(content).to_html ).html_safe
        #RDiscount.new(content).to_html.html_safe
        #BlueCloth.new(content).to_html.html_safe
        #RedCloth.new(content).to_html.html_safe
        Maruku.new( coderay(content) ).to_html.html_safe
      when "Textile"
        RedCloth.new( coderay(content) ).to_html.html_safe
      when "TXT"
        simple_format(html_escape(content))
      else
        raise ArgumentError, "Unknown format '#{format}'."
      end
    end

    def coderay(text)
      text.gsub(/\<code( lang="(.+?)")?\>(.+?)\<\/code\>/m) do
        CodeRay.scan($3, $2).div
      end
    end

  end
end
