#require 'RMagick'

module ContentManagement
  module ViewHelper

    def permalink(content)
      case content.content_type.name
      when ::ContentManagement::ContentType::StaticPage then
        "#{static_page_by_permalink_url(:permalink => content.permalink)}"
      when ::ContentManagement::ContentType::Article then
        "#{article_by_permalink_url(:permalink => content.permalink)}"
      when ::ContentManagement::ContentType::Blog then
        "#{blog_by_permalink_url(:permalink => content.permalink)}"
      when ::ContentManagement::ContentType::FAQ then
        "#{faq_by_permalink_url(:permalink => content.permalink)}"
      else
        ''
      end
    end

    def tag_cloud
      render :partial => 'content_management/view/tag_cloud'
    end

    def heatmap
      render :partial => 'content_management/view/heatmap'
    end

    def w3c_date(date)
      date.utc.strftime("%Y-%m-%dT%H:%M:%S+00:00")
    end

    def debug_bar
      render :partial => 'content_management/view/debug_bar'
    end

  end
end
