# this produces the <?xml ... ?> tag at the start of the document
# note: this is different to calling builder normally as the <?xml?> tag
#       and is very different to how you'd write a normal tag!
xml.instruct! :xml, :version => '1.0', :encoding => 'UTF-8'

xml.urlset "xmlns" => "http://www.sitemaps.org/schemas/sitemap/0.9",
  "xmlns:xsi" => "http://www.w3.org/2001/XMLSchema-instance",
  "xsi:schemaLocation" => "http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd" do

  xml.url do
    xml.loc         main_app.root_url
    xml.lastmod     w3c_date(Time.now)
    xml.changefreq  "daily"
    xml.priority    0.1
  end

  @static_pages.each do |entry|
    xml.url do
      xml.loc         permalink(entry)
      xml.lastmod     w3c_date(entry.updated_at)
      xml.changefreq  "monthly"
      xml.priority    0.1
    end
  end

  @articles.each do |entry|
    xml.url do
      xml.loc         permalink(entry)
      xml.lastmod     w3c_date(entry.updated_at)
      xml.changefreq  "weekly"
      xml.priority    0.7
    end
  end

  @blogs.each do |entry|
    xml.url do
      xml.loc         permalink(entry)
      xml.lastmod     w3c_date(entry.updated_at)
      xml.changefreq  "daily"
      xml.priority    0.7
    end
  end

  @faqs.each do |entry|
    xml.url do
      xml.loc         permalink(entry)
      xml.lastmod     w3c_date(entry.updated_at)
      xml.changefreq  "monthly"
      xml.priority    0.7
    end
  end

end
