# Encoding: UTF-8
$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "content_management/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "content_management"
  s.version     = ContentManagement::VERSION::STRING.dup
  s.authors     = ["Everard Brown"]
  s.email       = ["Everard.Brown@htcl.eu"]
  s.homepage    = "http://htcl.eu"
  s.summary     = "ContentManagement engine (v#{s.version})"
  s.description = "A basic Content Management System (CMS) plugin "
  s.license     = 'MIT'
  #s.extensions = 'ext/mkrf_conf.rb'

  s.files = Dir["{app,config,db,ext,lib}/**/*"] + ["#{s.name}.gemspec", "Rakefile", "MIT-LICENSE", "README.rdoc"]
  #s.test_files = Dir["{test,spec,features}/**/*"]
  s.require_paths = ["lib"]

  s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "content_management", "--main", "README.rdoc"]
  s.extra_rdoc_files = ["CHANGELOG", "README.rdoc", "lib/tasks/content_management_tasks.rake", "lib/content_management.rb"]

  s.add_dependency 'rails', '~> 5.0'

  # RMagick (commented out because it is a dependency for asset_management)
  #if defined?(JRUBY_VERSION)
  #  s.add_dependency 'rmagick4j', '~> 0.3.7'
  #else
  #  if RbConfig::CONFIG['target_os'] == 'linux'
  #    issue = `head -1 /etc/issue`
  #    if issue.include?('CentOS release 5') ||
  #        issue.include?('Oracle Linux Server release 5')
  #      # The latest version which is known to be usable on CentOS 5/OL 5
  #      s.add_dependency 'rmagick', '~> 1.15.17'
  #    else
  #      s.add_dependency 'rmagick', '~> 2.14.0'
  #    end
  #  else
  #    # HOWTO:
  #    # 1) Install ImageMagick in a top-level directory
  #    # 2) Set environment variables
  #    #    set CPATH=C:\ImageMagick-6.7.3-Q16\include
  #    #    set LIBRARY_PATH=C:\ImageMagick-6.7.3-Q16\lib
  #    # 3) gem install rmagick -v 2.13.1
  #    s.add_dependency 'rmagick', '~> 2.14.0'
  #  end
  #end

  # Markdown processor
  #s.add_dependency 'rdiscount', '~> 1.6.8'
  #s.add_dependency 'bluecloth', '~> 2.0.11' #'~> 2.2.0'
  s.add_dependency 'maruku' #, '~> 0.6.1'

  # DocBook Formatter
  s.add_dependency 'RedCloth', '~> 4.2.9'

  # Fast syntax highlighting for selected languages
  s.add_dependency 'coderay' #, '~> 1.1.0'

  # WYSIWYG html editor
  s.add_dependency 'ckeditor_rails' #, '~> 4.1.2'
  #s.add_dependency 'ckeditor' #, '~> 4.0.4'
  s.add_dependency 'paperclip' #, '~> 2.8.0'

  # User Group/Roles/Permissions
  # (during development, the dependency in Gemfile will be used)
  #s.add_dependency 'ugrp'

  # In-house gems
  # (during development, the dependency in Gemfile will be used)
  require File.join(File.dirname(__FILE__), 'config', 'in_house_gems')
  in_house_engines = CONTENT_MANAGEMENT_IN_HOUSE_ENGINES
  in_house_engines.each { |in_house_engine| s.add_dependency "#{in_house_engine.to_s}" }

end
