# To use the mattr functions, ActiveSupport dependencies are required.
require "active_support/dependencies"

#require 'content_management/config'

module ContentManagement

  # The parent controller all engine controllers inherits from.
  # Defaults to ApplicationController. This should be set early
  # in the initialisation process and should be set to a string.
  mattr_accessor :parent_controller
  self.parent_controller = "ApplicationController"

  # Default way to setup the engine.
  #
  # Run 'rails generate ugrp_install' to create a fresh initialiser with all
  # configuration values.
  def self.setup
    yield self
  end

  def railtie_name
    ::ContentManagement::Engine.railtie_name
  end

  def mounted_path
    ::ContentManagement::Engine.mounted_path
  end

  def root_path
    ::ContentManagement::Engine.root
  end

end

# Require our engine
require "content_management/version"
require "content_management/engine"
